package com.gic.haoban.manage.web.controller.member;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.web.controller.WebBaseController;
import com.gic.member.api.dto.GradeBaseDTO;
import com.gic.member.api.service.GradeService;

@RestController
public class MemberController extends WebBaseController {
    
    @Autowired
    private GradeService gradeService ;
    
    @ResponseBody
    @RequestMapping("/list-enterprise-grade")
    public HaobanResponse listGrade(String enterpriseId) {
        List<GradeBaseDTO> list = this.gradeService.listGrade(enterpriseId) ;
        return this.success(list);
    }
    
}
